import request from '@/utils/request'

// 查询年产值所有数据列表
export function getData(query) {
  return request({
    url: '/crmOutputValue/getList',
    method: 'get',
    params: query
  })
}

export const getYearTotalData = ()=>{
  return request({
    url: '/crmOutputValue/getListYearOrQuarter',
    method: 'get',
  })
}

export const getLastQuarterYoY = (quarter)=>{
  return request({
    url:'/crmOutputValue/getListByQuarterYoY',
    method:'get',
    params:{
      quarter
    }
  })
}

export const getYearTotalData2 = ()=>{
  return request({
    url: '/crmEnterpriseTaxPaymentInfo/getListYearOrQuarter',
    method: 'get',
  })
}

export const getLastQuarterYoY2 = (quarter,isCurrent)=>{
  return request({
    url:'/crmEnterpriseTaxPaymentInfo/getListByQuarterYoY',
    method:'get',
    params:{
      quarter,
      isCurrent
    }
  })
}